diff --git a/android/guava-testlib/src/com/google/common/util/concurrent/testing/SameThreadScheduledExecutorService.java b/android/guava-testlib/src/com/google/common/util/concurrent/testing/SameThreadScheduledExecutorService.java
index c232218..b2595bd 100644
--- a/android/guava-testlib/src/com/google/common/util/concurrent/testing/SameThreadScheduledExecutorService.java
+++ b/android/guava-testlib/src/com/google/common/util/concurrent/testing/SameThreadScheduledExecutorService.java
@@ -18,7 +18,6 @@ package com.google.common.util.concurrent.testing;
 
 import static com.google.common.util.concurrent.MoreExecutors.newDirectExecutorService;
 
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.base.Preconditions;
 import com.google.common.util.concurrent.ForwardingListenableFuture.SimpleForwardingListenableFuture;
 import com.google.common.util.concurrent.ListenableFuture;
@@ -43,7 +42,6 @@ import java.util.concurrent.TimeoutException;
  * @author John Sirois
  * @author Zach van Schouwen
  */
-@GwtIncompatible
 class SameThreadScheduledExecutorService extends AbstractExecutorService
     implements ListeningScheduledExecutorService {
 
diff --git a/android/guava-testlib/src/com/google/common/util/concurrent/testing/TestingExecutors.java b/android/guava-testlib/src/com/google/common/util/concurrent/testing/TestingExecutors.java
index 4212430..b8a6dc9 100644
--- a/android/guava-testlib/src/com/google/common/util/concurrent/testing/TestingExecutors.java
+++ b/android/guava-testlib/src/com/google/common/util/concurrent/testing/TestingExecutors.java
@@ -16,9 +16,6 @@
 
 package com.google.common.util.concurrent.testing;
 
-import com.google.common.annotations.Beta;
-import com.google.common.annotations.GwtIncompatible;
-import com.google.common.collect.ImmutableList;
 import com.google.common.primitives.Longs;
 import com.google.common.util.concurrent.AbstractFuture;
 import com.google.common.util.concurrent.AbstractListeningExecutorService;
@@ -37,8 +34,6 @@ import java.util.concurrent.TimeUnit;
  * @author Chris Nokleberg
  * @since 14.0
  */
-@Beta
-@GwtIncompatible
 public final class TestingExecutors {
   private TestingExecutors() {}
 
diff --git a/android/guava-testlib/test/com/google/common/collect/testing/HelpersTest.java b/android/guava-testlib/test/com/google/common/collect/testing/HelpersTest.java
index 41f4bfb..366d4fd 100644
--- a/android/guava-testlib/test/com/google/common/collect/testing/HelpersTest.java
+++ b/android/guava-testlib/test/com/google/common/collect/testing/HelpersTest.java
@@ -19,7 +19,6 @@ package com.google.common.collect.testing;
 import static com.google.common.collect.testing.Helpers.NullsBeforeB;
 import static com.google.common.collect.testing.Helpers.testComparator;
 
-import com.google.common.annotations.GwtCompatible;
 import java.util.ArrayList;
 import java.util.Arrays;
 import java.util.Collections;
@@ -35,7 +34,6 @@ import junit.framework.TestCase;
  *
  * @author Chris Povirk
  */
-@GwtCompatible
 public class HelpersTest extends TestCase {
   public void testNullsBeforeB() {
     testComparator(NullsBeforeB.INSTANCE, "a", "azzzzzz", null, "b", "c");
diff --git a/android/guava-testlib/test/com/google/common/collect/testing/IteratorTesterTest.java b/android/guava-testlib/test/com/google/common/collect/testing/IteratorTesterTest.java
index 283f51e..1619ad5 100644
--- a/android/guava-testlib/test/com/google/common/collect/testing/IteratorTesterTest.java
+++ b/android/guava-testlib/test/com/google/common/collect/testing/IteratorTesterTest.java
@@ -20,8 +20,6 @@ import static com.google.common.collect.Lists.newArrayList;
 import static com.google.common.collect.testing.IteratorFeature.MODIFIABLE;
 import static java.util.Collections.emptyList;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.collect.ImmutableList;
 import com.google.common.collect.Lists;
 import java.util.Iterator;
 import java.util.List;
@@ -34,7 +32,6 @@ import junit.framework.TestCase;
  *
  * @author Mick Killianey
  */
-@GwtCompatible
 @SuppressWarnings("serial") // No serialization is used in this test
 public class IteratorTesterTest extends TestCase {
 
diff --git a/android/guava-testlib/test/com/google/common/collect/testing/MinimalIterableTest.java b/android/guava-testlib/test/com/google/common/collect/testing/MinimalIterableTest.java
index f6fae31..16feb04 100644
--- a/android/guava-testlib/test/com/google/common/collect/testing/MinimalIterableTest.java
+++ b/android/guava-testlib/test/com/google/common/collect/testing/MinimalIterableTest.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
 import java.util.Collections;
 import java.util.Iterator;
 import java.util.NoSuchElementException;
@@ -27,7 +26,6 @@ import junit.framework.TestCase;
  *
  * @author Kevin Bourrillion
  */
-@GwtCompatible
 public class MinimalIterableTest extends TestCase {
 
   public void testOf_empty() {
diff --git a/android/guava-testlib/test/com/google/common/collect/testing/SafeTreeMapTest.java b/android/guava-testlib/test/com/google/common/collect/testing/SafeTreeMapTest.java
index f03ff0a..f62be76 100644
--- a/android/guava-testlib/test/com/google/common/collect/testing/SafeTreeMapTest.java
+++ b/android/guava-testlib/test/com/google/common/collect/testing/SafeTreeMapTest.java
@@ -18,8 +18,6 @@ package com.google.common.collect.testing;
 
 import static java.util.Collections.sort;
 
-import com.google.common.annotations.GwtIncompatible;
-import com.google.common.collect.ImmutableSortedMap;
 import com.google.common.collect.Lists;
 import com.google.common.collect.Ordering;
 import com.google.common.collect.testing.Helpers.NullsBeforeTwo;
@@ -101,7 +99,7 @@ public class SafeTreeMapTest extends TestCase {
     return suite;
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testViewSerialization() {
     Map<String, Integer> map = ImmutableSortedMap.of("one", 1, "two", 2, "three", 3);
     SerializableTester.reserializeAndAssert(map.entrySet());
@@ -111,7 +109,7 @@ public class SafeTreeMapTest extends TestCase {
         Lists.newArrayList(SerializableTester.reserialize(map.values())));
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public static class ReserializedMapTests extends SortedMapInterfaceTest<String, Integer> {
     public ReserializedMapTests() {
       super(false, true, true, true, true);
diff --git a/android/guava-testlib/test/com/google/common/collect/testing/SafeTreeSetTest.java b/android/guava-testlib/test/com/google/common/collect/testing/SafeTreeSetTest.java
index ea5a784..5512395 100644
--- a/android/guava-testlib/test/com/google/common/collect/testing/SafeTreeSetTest.java
+++ b/android/guava-testlib/test/com/google/common/collect/testing/SafeTreeSetTest.java
@@ -16,8 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtIncompatible;
-import com.google.common.collect.ImmutableSortedMap;
 import com.google.common.collect.Lists;
 import com.google.common.collect.Ordering;
 import com.google.common.collect.Sets;
@@ -83,7 +81,7 @@ public class SafeTreeSetTest extends TestCase {
     return suite;
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testViewSerialization() {
     Map<String, Integer> map = ImmutableSortedMap.of("one", 1, "two", 2, "three", 3);
     SerializableTester.reserializeAndAssert(map.entrySet());
@@ -93,14 +91,14 @@ public class SafeTreeSetTest extends TestCase {
         Lists.newArrayList(SerializableTester.reserialize(map.values())));
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testEmpty_serialization() {
     SortedSet<String> set = new SafeTreeSet<>();
     SortedSet<String> copy = SerializableTester.reserializeAndAssert(set);
     assertEquals(set.comparator(), copy.comparator());
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testSingle_serialization() {
     SortedSet<String> set = new SafeTreeSet<>();
     set.add("e");
@@ -108,7 +106,7 @@ public class SafeTreeSetTest extends TestCase {
     assertEquals(set.comparator(), copy.comparator());
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testSeveral_serialization() {
     SortedSet<String> set = new SafeTreeSet<>();
     set.add("a");
diff --git a/android/guava-testlib/test/com/google/common/collect/testing/features/AndroidIncompatible.java b/android/guava-testlib/test/com/google/common/collect/testing/features/AndroidIncompatible.java
index 46c2123..c29bca3 100644
--- a/android/guava-testlib/test/com/google/common/collect/testing/features/AndroidIncompatible.java
+++ b/android/guava-testlib/test/com/google/common/collect/testing/features/AndroidIncompatible.java
@@ -23,7 +23,6 @@ import static java.lang.annotation.ElementType.METHOD;
 import static java.lang.annotation.ElementType.TYPE;
 import static java.lang.annotation.RetentionPolicy.CLASS;
 
-import com.google.common.annotations.GwtCompatible;
 import java.lang.annotation.Retention;
 import java.lang.annotation.Target;
 
@@ -37,5 +36,4 @@ import java.lang.annotation.Target;
  */
 @Retention(CLASS)
 @Target({ANNOTATION_TYPE, CONSTRUCTOR, FIELD, METHOD, TYPE})
-@GwtCompatible
 @interface AndroidIncompatible {}
diff --git a/android/guava-testlib/test/com/google/common/collect/testing/features/FeatureUtilTest.java b/android/guava-testlib/test/com/google/common/collect/testing/features/FeatureUtilTest.java
index 37af90b..e0beeca 100644
--- a/android/guava-testlib/test/com/google/common/collect/testing/features/FeatureUtilTest.java
+++ b/android/guava-testlib/test/com/google/common/collect/testing/features/FeatureUtilTest.java
@@ -18,7 +18,6 @@ package com.google.common.collect.testing.features;
 
 import static com.google.common.truth.Truth.assertThat;
 
-import com.google.common.collect.ImmutableSet;
 import com.google.common.collect.Sets;
 import java.lang.annotation.Inherited;
 import java.lang.annotation.Retention;
diff --git a/android/guava-testlib/test/com/google/common/testing/AbstractPackageSanityTestsTest.java b/android/guava-testlib/test/com/google/common/testing/AbstractPackageSanityTestsTest.java
index cb6ba6a..38f2698 100644
--- a/android/guava-testlib/test/com/google/common/testing/AbstractPackageSanityTestsTest.java
+++ b/android/guava-testlib/test/com/google/common/testing/AbstractPackageSanityTestsTest.java
@@ -19,7 +19,6 @@ package com.google.common.testing;
 import static com.google.common.truth.Truth.assertThat;
 
 import com.google.common.base.Predicates;
-import com.google.common.collect.ImmutableList;
 import java.util.Arrays;
 import java.util.List;
 import junit.framework.TestCase;
diff --git a/android/guava-testlib/test/com/google/common/testing/AndroidIncompatible.java b/android/guava-testlib/test/com/google/common/testing/AndroidIncompatible.java
index 326d7b8..e354a5e 100644
--- a/android/guava-testlib/test/com/google/common/testing/AndroidIncompatible.java
+++ b/android/guava-testlib/test/com/google/common/testing/AndroidIncompatible.java
@@ -23,7 +23,6 @@ import static java.lang.annotation.ElementType.METHOD;
 import static java.lang.annotation.ElementType.TYPE;
 import static java.lang.annotation.RetentionPolicy.CLASS;
 
-import com.google.common.annotations.GwtCompatible;
 import java.lang.annotation.Retention;
 import java.lang.annotation.Target;
 
@@ -37,5 +36,4 @@ import java.lang.annotation.Target;
  */
 @Retention(CLASS)
 @Target({ANNOTATION_TYPE, CONSTRUCTOR, FIELD, METHOD, TYPE})
-@GwtCompatible
 @interface AndroidIncompatible {}
diff --git a/android/guava-testlib/test/com/google/common/testing/ArbitraryInstancesTest.java b/android/guava-testlib/test/com/google/common/testing/ArbitraryInstancesTest.java
index b47672f..db9708d 100644
--- a/android/guava-testlib/test/com/google/common/testing/ArbitraryInstancesTest.java
+++ b/android/guava-testlib/test/com/google/common/testing/ArbitraryInstancesTest.java
@@ -28,19 +28,6 @@ import com.google.common.base.Stopwatch;
 import com.google.common.base.Ticker;
 import com.google.common.collect.BiMap;
 import com.google.common.collect.ClassToInstanceMap;
-import com.google.common.collect.ImmutableBiMap;
-import com.google.common.collect.ImmutableClassToInstanceMap;
-import com.google.common.collect.ImmutableCollection;
-import com.google.common.collect.ImmutableList;
-import com.google.common.collect.ImmutableListMultimap;
-import com.google.common.collect.ImmutableMap;
-import com.google.common.collect.ImmutableMultimap;
-import com.google.common.collect.ImmutableMultiset;
-import com.google.common.collect.ImmutableSet;
-import com.google.common.collect.ImmutableSetMultimap;
-import com.google.common.collect.ImmutableSortedMap;
-import com.google.common.collect.ImmutableSortedSet;
-import com.google.common.collect.ImmutableTable;
 import com.google.common.collect.ListMultimap;
 import com.google.common.collect.MapDifference;
 import com.google.common.collect.Multimap;
diff --git a/android/guava-testlib/test/com/google/common/testing/ClassSanityTesterTest.java b/android/guava-testlib/test/com/google/common/testing/ClassSanityTesterTest.java
index 586eb28..96f6616 100644
--- a/android/guava-testlib/test/com/google/common/testing/ClassSanityTesterTest.java
+++ b/android/guava-testlib/test/com/google/common/testing/ClassSanityTesterTest.java
@@ -21,7 +21,6 @@ import static com.google.common.truth.Truth.assertThat;
 
 import com.google.common.base.Functions;
 import com.google.common.base.Optional;
-import com.google.common.collect.ImmutableList;
 import com.google.common.testing.ClassSanityTester.FactoryMethodReturnsNullException;
 import com.google.common.testing.ClassSanityTester.ParameterHasNoDistinctValueException;
 import com.google.common.testing.ClassSanityTester.ParameterNotInstantiableException;
@@ -36,7 +35,6 @@ import java.util.Set;
 import java.util.concurrent.TimeUnit;
 import junit.framework.AssertionFailedError;
 import junit.framework.TestCase;
-import org.checkerframework.checker.nullness.compatqual.NullableDecl;
 
 /**
  * Unit tests for {@link ClassSanityTester}.
@@ -287,7 +285,6 @@ public class ClassSanityTesterTest extends TestCase {
   }
 
   public static class FactoryThatReturnsNullAndAnnotated {
-    @NullableDecl
     public static Object bad() {
       return null;
     }
@@ -753,7 +750,6 @@ public class ClassSanityTesterTest extends TestCase {
 
     // keep trying
     @SuppressWarnings("unused")
-    @NullableDecl
     public static GoodEquals createMayReturnNull(int a, int b) {
       return null;
     }
@@ -1175,7 +1171,6 @@ public class ClassSanityTesterTest extends TestCase {
   static class FactoryMethodReturnsNullAndAnnotated {
     private FactoryMethodReturnsNullAndAnnotated() {}
 
-    @NullableDecl
     public static FactoryMethodReturnsNullAndAnnotated returnsNull() {
       return null;
     }
diff --git a/android/guava-testlib/test/com/google/common/testing/EqualsTesterTest.java b/android/guava-testlib/test/com/google/common/testing/EqualsTesterTest.java
index d615af6..52808db 100644
--- a/android/guava-testlib/test/com/google/common/testing/EqualsTesterTest.java
+++ b/android/guava-testlib/test/com/google/common/testing/EqualsTesterTest.java
@@ -16,9 +16,7 @@
 
 package com.google.common.testing;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.base.Preconditions;
-import com.google.common.collect.ImmutableList;
 import com.google.common.collect.Sets;
 import java.util.Set;
 import junit.framework.AssertionFailedError;
@@ -29,7 +27,6 @@ import junit.framework.TestCase;
  *
  * @author Jim McMaster
  */
-@GwtCompatible
 @SuppressWarnings("MissingTestCall")
 public class EqualsTesterTest extends TestCase {
   private ValidTestObject reference;
diff --git a/android/guava-testlib/test/com/google/common/testing/EquivalenceTesterTest.java b/android/guava-testlib/test/com/google/common/testing/EquivalenceTesterTest.java
index d612b2c..7f2d37d 100644
--- a/android/guava-testlib/test/com/google/common/testing/EquivalenceTesterTest.java
+++ b/android/guava-testlib/test/com/google/common/testing/EquivalenceTesterTest.java
@@ -19,11 +19,8 @@ package com.google.common.testing;
 import static com.google.common.base.Preconditions.checkState;
 import static com.google.common.truth.Truth.assertThat;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.base.Equivalence;
 import com.google.common.base.MoreObjects;
-import com.google.common.collect.ImmutableMap;
-import com.google.common.collect.ImmutableTable;
 import junit.framework.AssertionFailedError;
 import junit.framework.TestCase;
 
@@ -32,7 +29,6 @@ import junit.framework.TestCase;
  *
  * @author Gregory Kick
  */
-@GwtCompatible
 public class EquivalenceTesterTest extends TestCase {
   private EquivalenceTester<Object> tester;
   private MockEquivalence equivalenceMock;
diff --git a/android/guava-testlib/test/com/google/common/testing/FakeTickerTest.java b/android/guava-testlib/test/com/google/common/testing/FakeTickerTest.java
index 654304b..33c37db 100644
--- a/android/guava-testlib/test/com/google/common/testing/FakeTickerTest.java
+++ b/android/guava-testlib/test/com/google/common/testing/FakeTickerTest.java
@@ -16,8 +16,6 @@
 
 package com.google.common.testing;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import java.util.EnumSet;
 import java.util.concurrent.Callable;
 import java.util.concurrent.CountDownLatch;
@@ -32,10 +30,9 @@ import junit.framework.TestCase;
  *
  * @author Jige Yu
  */
-@GwtCompatible(emulated = true)
 public class FakeTickerTest extends TestCase {
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testNullPointerExceptions() {
     NullPointerTester tester = new NullPointerTester();
     tester.testAllPublicInstanceMethods(new FakeTicker());
@@ -100,7 +97,7 @@ public class FakeTickerTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // concurrency
+  // concurrency
 
   public void testConcurrentAdvance() throws Exception {
     final FakeTicker ticker = new FakeTicker();
@@ -122,7 +119,7 @@ public class FakeTickerTest extends TestCase {
     assertEquals(numberOfThreads * 2, ticker.read());
   }
 
-  @GwtIncompatible // concurrency
+  // concurrency
 
   public void testConcurrentAutoIncrementStep() throws Exception {
     int incrementByNanos = 3;
@@ -144,7 +141,7 @@ public class FakeTickerTest extends TestCase {
   }
 
   /** Runs {@code callable} concurrently {@code numberOfThreads} times. */
-  @GwtIncompatible // concurrency
+  // concurrency
   private void runConcurrentTest(int numberOfThreads, final Callable<Void> callable)
       throws Exception {
     ExecutorService executorService = Executors.newFixedThreadPool(numberOfThreads);
diff --git a/android/guava-testlib/test/com/google/common/testing/FreshValueGeneratorTest.java b/android/guava-testlib/test/com/google/common/testing/FreshValueGeneratorTest.java
index b20517c..d9821e5 100644
--- a/android/guava-testlib/test/com/google/common/testing/FreshValueGeneratorTest.java
+++ b/android/guava-testlib/test/com/google/common/testing/FreshValueGeneratorTest.java
@@ -29,19 +29,6 @@ import com.google.common.collect.HashBasedTable;
 import com.google.common.collect.HashBiMap;
 import com.google.common.collect.HashMultimap;
 import com.google.common.collect.HashMultiset;
-import com.google.common.collect.ImmutableBiMap;
-import com.google.common.collect.ImmutableCollection;
-import com.google.common.collect.ImmutableList;
-import com.google.common.collect.ImmutableListMultimap;
-import com.google.common.collect.ImmutableMap;
-import com.google.common.collect.ImmutableMultimap;
-import com.google.common.collect.ImmutableMultiset;
-import com.google.common.collect.ImmutableSet;
-import com.google.common.collect.ImmutableSetMultimap;
-import com.google.common.collect.ImmutableSortedMap;
-import com.google.common.collect.ImmutableSortedMultiset;
-import com.google.common.collect.ImmutableSortedSet;
-import com.google.common.collect.ImmutableTable;
 import com.google.common.collect.LinkedHashMultimap;
 import com.google.common.collect.LinkedHashMultiset;
 import com.google.common.collect.ListMultimap;
diff --git a/android/guava-testlib/test/com/google/common/testing/GcFinalizationTest.java b/android/guava-testlib/test/com/google/common/testing/GcFinalizationTest.java
index 164ac5a..4bdb510 100644
--- a/android/guava-testlib/test/com/google/common/testing/GcFinalizationTest.java
+++ b/android/guava-testlib/test/com/google/common/testing/GcFinalizationTest.java
@@ -20,8 +20,6 @@ import static com.google.common.truth.Truth.assertThat;
 
 import com.google.common.testing.GcFinalization.FinalizationPredicate;
 import com.google.common.util.concurrent.SettableFuture;
-import java.lang.ref.WeakReference;
-import java.util.WeakHashMap;
 import java.util.concurrent.CountDownLatch;
 import java.util.concurrent.atomic.AtomicBoolean;
 import junit.framework.TestCase;
diff --git a/android/guava-testlib/test/com/google/common/testing/NullPointerTesterTest.java b/android/guava-testlib/test/com/google/common/testing/NullPointerTesterTest.java
index d1dc49b..f8699b2 100644
--- a/android/guava-testlib/test/com/google/common/testing/NullPointerTesterTest.java
+++ b/android/guava-testlib/test/com/google/common/testing/NullPointerTesterTest.java
@@ -23,20 +23,12 @@ import static com.google.common.truth.Truth.assertThat;
 import com.google.common.base.Converter;
 import com.google.common.base.Function;
 import com.google.common.base.Supplier;
-import com.google.common.collect.ImmutableList;
-import com.google.common.collect.ImmutableMap;
-import com.google.common.collect.ImmutableMultimap;
-import com.google.common.collect.ImmutableMultiset;
-import com.google.common.collect.ImmutableSet;
-import com.google.common.collect.ImmutableSortedSet;
-import com.google.common.collect.ImmutableTable;
 import com.google.common.collect.Maps;
 import com.google.common.collect.Multimap;
 import com.google.common.collect.Multiset;
 import com.google.common.collect.Table;
 import com.google.common.reflect.TypeToken;
 import com.google.common.testing.NullPointerTester.Visibility;
-import com.google.common.testing.anotherpackage.SomeClassThatDoesNotUseNullable;
 import java.lang.reflect.Constructor;
 import java.lang.reflect.Method;
 import java.util.List;
@@ -46,7 +38,6 @@ import java.util.Set;
 import java.util.SortedSet;
 import junit.framework.AssertionFailedError;
 import junit.framework.TestCase;
-import org.checkerframework.checker.nullness.compatqual.NullableDecl;
 
 /**
  * Unit test for {@link NullPointerTester}.
diff --git a/android/guava-testlib/test/com/google/common/testing/TearDownStackTest.java b/android/guava-testlib/test/com/google/common/testing/TearDownStackTest.java
index 5a4f9ed..d693ce0 100644
--- a/android/guava-testlib/test/com/google/common/testing/TearDownStackTest.java
+++ b/android/guava-testlib/test/com/google/common/testing/TearDownStackTest.java
@@ -18,11 +18,9 @@ package com.google.common.testing;
 
 import static com.google.common.truth.Truth.assertThat;
 
-import com.google.common.annotations.GwtCompatible;
 import junit.framework.TestCase;
 
 /** @author Luiz-Otavio "Z" Zorzella */
-@GwtCompatible
 public class TearDownStackTest extends TestCase {
 
   private TearDownStack tearDownStack = new TearDownStack();
diff --git a/android/guava-testlib/test/com/google/common/util/concurrent/testing/TestingExecutorsTest.java b/android/guava-testlib/test/com/google/common/util/concurrent/testing/TestingExecutorsTest.java
index 66ad784..563794a 100644
--- a/android/guava-testlib/test/com/google/common/util/concurrent/testing/TestingExecutorsTest.java
+++ b/android/guava-testlib/test/com/google/common/util/concurrent/testing/TestingExecutorsTest.java
@@ -16,7 +16,6 @@
 
 package com.google.common.util.concurrent.testing;
 
-import com.google.common.collect.ImmutableList;
 import com.google.common.util.concurrent.ListeningScheduledExecutorService;
 import java.util.List;
 import java.util.concurrent.Callable;
diff --git a/android/guava-tests/benchmark/com/google/common/collect/ConcurrentHashMultisetBenchmark.java b/android/guava-tests/benchmark/com/google/common/collect/ConcurrentHashMultisetBenchmark.java
index 5b713f2..b6b16ca 100644
--- a/android/guava-tests/benchmark/com/google/common/collect/ConcurrentHashMultisetBenchmark.java
+++ b/android/guava-tests/benchmark/com/google/common/collect/ConcurrentHashMultisetBenchmark.java
@@ -22,7 +22,6 @@ import static com.google.common.collect.CollectPreconditions.checkNonnegative;
 import com.google.caliper.BeforeExperiment;
 import com.google.caliper.Benchmark;
 import com.google.caliper.Param;
-import com.google.common.annotations.VisibleForTesting;
 import com.google.common.primitives.Ints;
 import com.google.common.util.concurrent.ThreadFactoryBuilder;
 import java.util.Iterator;
@@ -37,7 +36,6 @@ import java.util.concurrent.ExecutionException;
 import java.util.concurrent.ExecutorService;
 import java.util.concurrent.Executors;
 import java.util.concurrent.Future;
-import org.checkerframework.checker.nullness.compatqual.NullableDecl;
 
 /**
  * Benchmarks for {@link ConcurrentHashMultiset}.
@@ -177,7 +175,6 @@ public class ConcurrentHashMultisetBenchmark {
       return new OldConcurrentHashMultiset<E>(new ConcurrentHashMap<E, Integer>());
     }
 
-    @VisibleForTesting
     OldConcurrentHashMultiset(ConcurrentMap<E, Integer> countMap) {
       checkArgument(countMap.isEmpty());
       this.countMap = countMap;
diff --git a/android/guava-tests/benchmark/com/google/common/math/QuantilesBenchmark.java b/android/guava-tests/benchmark/com/google/common/math/QuantilesBenchmark.java
index 6830482..d5cc69d 100644
--- a/android/guava-tests/benchmark/com/google/common/math/QuantilesBenchmark.java
+++ b/android/guava-tests/benchmark/com/google/common/math/QuantilesBenchmark.java
@@ -21,7 +21,6 @@ import com.google.caliper.Benchmark;
 import com.google.caliper.Param;
 import com.google.common.collect.ContiguousSet;
 import com.google.common.collect.DiscreteDomain;
-import com.google.common.collect.ImmutableSet;
 import com.google.common.collect.Range;
 import java.util.Random;
 
diff --git a/android/guava-tests/benchmark/com/google/common/util/concurrent/ExecutionListBenchmark.java b/android/guava-tests/benchmark/com/google/common/util/concurrent/ExecutionListBenchmark.java
index c9df774..1d897bf 100644
--- a/android/guava-tests/benchmark/com/google/common/util/concurrent/ExecutionListBenchmark.java
+++ b/android/guava-tests/benchmark/com/google/common/util/concurrent/ExecutionListBenchmark.java
@@ -27,7 +27,6 @@ import com.google.caliper.api.VmOptions;
 import com.google.common.base.Preconditions;
 import com.google.common.collect.Lists;
 import com.google.common.util.concurrent.AbstractFutureBenchmarks.OldAbstractFuture;
-import com.google.errorprone.annotations.concurrent.GuardedBy;
 import java.util.Queue;
 import java.util.concurrent.ArrayBlockingQueue;
 import java.util.concurrent.CountDownLatch;
@@ -38,7 +37,6 @@ import java.util.concurrent.TimeUnit;
 import java.util.concurrent.atomic.AtomicInteger;
 import java.util.logging.Level;
 import java.util.logging.Logger;
-import org.checkerframework.checker.nullness.compatqual.NullableDecl;
 
 /** Benchmarks for {@link ExecutionList}. */
 @VmOptions({"-Xms8g", "-Xmx8g"})
@@ -439,10 +437,8 @@ public class ExecutionListBenchmark {
   private static final class NewExecutionListWithoutReverse {
     static final Logger log = Logger.getLogger(NewExecutionListWithoutReverse.class.getName());
 
-    @GuardedBy("this")
     private RunnableExecutorPair runnables;
 
-    @GuardedBy("this")
     private boolean executed;
 
     public void add(Runnable runnable, Executor executor) {
@@ -488,7 +484,7 @@ public class ExecutionListBenchmark {
     private static final class RunnableExecutorPair {
       final Runnable runnable;
       final Executor executor;
-      @NullableDecl RunnableExecutorPair next;
+      RunnableExecutorPair next;
 
       RunnableExecutorPair(Runnable runnable, Executor executor, RunnableExecutorPair next) {
         this.runnable = runnable;
@@ -503,13 +499,10 @@ public class ExecutionListBenchmark {
   private static final class NewExecutionListQueue {
     static final Logger log = Logger.getLogger(NewExecutionListQueue.class.getName());
 
-    @GuardedBy("this")
     private RunnableExecutorPair head;
 
-    @GuardedBy("this")
     private RunnableExecutorPair tail;
 
-    @GuardedBy("this")
     private boolean executed;
 
     public void add(Runnable runnable, Executor executor) {
@@ -563,7 +556,7 @@ public class ExecutionListBenchmark {
     private static final class RunnableExecutorPair {
       Runnable runnable;
       Executor executor;
-      @NullableDecl RunnableExecutorPair next;
+      RunnableExecutorPair next;
 
       RunnableExecutorPair(Runnable runnable, Executor executor) {
         this.runnable = runnable;
@@ -669,7 +662,7 @@ public class ExecutionListBenchmark {
       final Runnable runnable;
       final Executor executor;
       // Volatile because this is written on one thread and read on another with no synchronization.
-      @NullableDecl volatile RunnableExecutorPair next;
+      volatile RunnableExecutorPair next;
 
       RunnableExecutorPair(Runnable runnable, Executor executor) {
         this.runnable = runnable;
diff --git a/android/guava-tests/benchmark/com/google/common/util/concurrent/FuturesGetCheckedBenchmark.java b/android/guava-tests/benchmark/com/google/common/util/concurrent/FuturesGetCheckedBenchmark.java
index bb76420..14a920f 100644
--- a/android/guava-tests/benchmark/com/google/common/util/concurrent/FuturesGetCheckedBenchmark.java
+++ b/android/guava-tests/benchmark/com/google/common/util/concurrent/FuturesGetCheckedBenchmark.java
@@ -28,7 +28,6 @@ import static com.google.common.util.concurrent.FuturesGetChecked.weakSetValidat
 import com.google.caliper.BeforeExperiment;
 import com.google.caliper.Benchmark;
 import com.google.caliper.Param;
-import com.google.common.collect.ImmutableSet;
 import com.google.common.util.concurrent.FuturesGetChecked.GetCheckedTypeValidator;
 import java.io.IOException;
 import java.net.URISyntaxException;
diff --git a/android/guava-tests/benchmark/com/google/common/util/concurrent/MonitorBasedArrayBlockingQueue.java b/android/guava-tests/benchmark/com/google/common/util/concurrent/MonitorBasedArrayBlockingQueue.java
index 61f735d..98c97a1 100644
--- a/android/guava-tests/benchmark/com/google/common/util/concurrent/MonitorBasedArrayBlockingQueue.java
+++ b/android/guava-tests/benchmark/com/google/common/util/concurrent/MonitorBasedArrayBlockingQueue.java
@@ -17,7 +17,6 @@
 package com.google.common.util.concurrent;
 
 import com.google.common.collect.ObjectArrays;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
 import java.util.AbstractQueue;
 import java.util.Collection;
 import java.util.ConcurrentModificationException;
@@ -25,7 +24,6 @@ import java.util.Iterator;
 import java.util.NoSuchElementException;
 import java.util.concurrent.BlockingQueue;
 import java.util.concurrent.TimeUnit;
-import org.checkerframework.checker.nullness.compatqual.NullableDecl;
 
 /**
  * A bounded {@linkplain BlockingQueue blocking queue} backed by an array. This queue orders
@@ -51,7 +49,6 @@ import org.checkerframework.checker.nullness.compatqual.NullableDecl;
  * @author Justin T. Sampson
  * @param <E> the type of elements held in this collection
  */
-@CanIgnoreReturnValue
 public class MonitorBasedArrayBlockingQueue<E> extends AbstractQueue<E>
     implements BlockingQueue<E> {
 
